Subject: Re: [PATCH] powerpc/32bit:Store temporary result in r0 instead of r8

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Fri, 31 May 2013 13:07:17 +0200

On Mon, May 27, 2013 at 01:00:17PM +0530, Priyanka Jain wrote:
> While returning from exception handling in case of PREEMPT enabled,
> _TIF_NEED_RESCHED bit is checked in TI_FLAGS (thread_info flag) of current
> task. Only if this bit is set, it should continue with the process of
> calling preempt_schedule_irq() to schedule highest priority task if
> available.

This is broken since a9c4e541 ("powerpc/kprobe: Complete kprobe 
and migrate exception frame") and this commit joined Linus' tree in 
v3.7-rc1.
Ben, please add
  Cc: <[email-masked]> # 3.7+

so it gets into the stable tree.

Sebastian